CHICKEN-UNINSTALL(1)

NAME
chicken-uninstall - uninstall extension library

SYNOPSIS
chicken-uninstall [OPTION | PATTERN] ...

DESCRIPTION
chicken-uninstall removes one or more already installed extension libraries. PATTERN may be a regular expression naming multiple extensions or just an extension name. See the Chicken manual for more information.

OPTIONS

-h, -help
    Shows a summary of options and exits.

-v, -version
    Shows tool version and exits.

-force
    Do not ask when multiple extensions match the given patterns, delete whatever matches.

-s, -sudo
    Perform any uninstallation steps that remove files by commands invoked with the sudo(1) tool.

ENVIRONMENT VARIABLES

CHICKEN_PREFIX
    The installation prefix where CHICKEN Scheme and its support files and libraries are located. Defaults to the installation time prefix given when configuring the system.

CHICKEN_INSTALL_PREFIX
    An alternative installation prefix that will be prepended to extension installation paths if specified.

CHICKEN_REPOSITORY
    The path where extension libraries are installed. Defaults to the package-library path selected during configuration (usually $prefix/lib/chicken/<binary-version> )

DOCUMENTATION
More information can be found in the Chicken User's Manual

BUGS
Submit bug reports by e-mail to chicken-janitors@nongnu.org , preferrably using the chicken-bug tool.

AUTHORS
The Chicken Team

SEE ALSO
chicken-install(1) chicken-status(1) chicken(1) chicken-bug(1)